> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Download a blob

GET https://{tenant_name}.benchling.com/api/v2/blobs/{blob_id}/download

Download a blob.

This endpoint issues a 302 redirect to a pre-signed download link.
It does not consume from the standard rate-limit.

Example `wget` usage with a User API Key:
```bash
export BLOB_ID="ffe43fd5-b928-4996-9b7f-40222cd33d8e"
wget "https://tenant.benchling.com/api/v2/blobs/$BLOB_ID/download" \
    --user $API_TOKEN \      # Your API Key
    --password '' \          # Leave password empty
    --content-disposition    # Save file with original filename
```

**Note: Calling this endpoint from a browser is not supported.**


Reference: https://docs.benchling.com/docs/api/v2/benchling-api/blobs/get-blob-file

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `blob_id` (string, required)

## Response

### 200

OK

## Errors

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

## Examples

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/blobs/blob_id/download"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/blobs/blob_id/download';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```